import './App.scss';
import {Provider}   from 'react-redux';
import {Footer, Header, Main} from "./pages";
import {Router} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import {store} from "./reducers";

export const history = createHistory()

function App() {
  return (
      <Router history={history}>
          <Provider store={store}>
    <div className="App">
     <Header />
     <Main />
     <Footer />
    </div>
    </Provider>
      </Router>
  );
}


export default App;

